Employee Name Search
Introduction
The API returns details about the employee like establishmentName, validityStatus, establishmentStatus, establishmentDetails, employeeNameSearchResponse using employee name.
How to call the API
You are required to pass the access token recieved from the login call, as authorization header in the EPFO Employee Name Based Search request along with establishmentId,employeeName and employmentMonth.
API Input Guidelines
You will need to login before sending firm number request.
Sample Curl
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/patrons/..your-patron-id../epfos' \
--header 'Content-Type: application/json' \
--header 'Authorization: ...Authorization token...' \
--data '
{
"task":"employeeNameSearch",
"essentials":{
"establishmentId": "...establishmentId...",
"employeeName" : "...employeeName...",
"employmentMonth" : "...employmentMonth..."
}
}'Input Parameters
PARAMETER NAME | DESCRIPTION |
|---|---|
Authorization | Access Token for authentication and authorization |
Content-Type | Specifies the format of the data sent in the request body |
task | The type of task to be performed. |
essentials | Contains the essential input data like establishmentId, employeeName and employeeListMonths. |
establishmentId | ID of the Establishment. |
employeeName | Name of the employee |
employmentMonth | Month for which information is required Format: MONTH/YEAR (MM/YYYY) Note: Value can only be upto last 1 year |
Sample Response
{
"result": {
"establishmentId": "...establishmentId...",
"establishmentName": "...establishmentName...",
"validityStatus": {
"establishmentStatus": "...establishmentStatus...",
"registrationStatusOnEcrPortal": "...registrationStatusOnEcrPortal...",
"postCoverageStatus": "..postCoverageStatus.."
},
"establishmentStatus": {
"exemptionStatus": "...exemptionStatus...",
"workingStatus": "...workingStatus..",
"coverageSection": "..coverageSection..",
"actionableStatus": "...actionableStatus...",
"dateOfCoverage": "...dateOfCoverage..."
},
"establishmentDetails": {
"panStatus": "..panStatus...",
"sectionApplicable": "...sectionApplicable...",
"primaryBusinessActivity": "...primaryBusinessActivity..",
"esicCode": "...esicCode...",
"ownershipType": "...ownershipType...",
"dateOfSetupOfEstablishment": "..dateOfSetupOfEstablishment..",
"address": "...address...",
"pincode": "...pincode...",
"city": "...city...",
"district": "...district...",
"state": "...state...",
"country": "...country...",
"epfoOfficeName": "...epfoOfficeName...",
"epfoOfficeAddress": "...epfoOfficeAddress...",
"zone": "...zone...",
"region": "...region...",
"splitAddress": {
"state": [
[]
],
"district": [],
"city": [],
"pincode": "...pincode...",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": "...addressLine..."
}
},
"employeeNameSearchResponse": {
"match": "...match...",
"upstreamName": "...upstreamName...",
"employeeList": ["..employeeList..."]
}
}
}
Output Parameters
PARAMETER NAME | DESCRIPTION |
|---|---|
establishmentId | Unique id of the establishment. |
establishmentName | Name of the establishment. |
validityStatus | Contains details like establishmentStatus, registrationStatusOnEcrPortal, postCoverageStatus. |
establishmentStatus | status of the establishment |
registrationStatusOnEcrPortal | status of registration on ECR portal |
postCoverageStatus | status post coverage |
exemptionStatus | exemptionStatus |
workingStatus | workingStatus |
coverageSection | coverageSection |
actionableStatus | actionableStatus |
dateOfCoverage | dateOfCoverage |
panStatus | panStatus |
sectionApplicable | section to which it is applicable |
primaryBusinessActivity | primary business activity of employee |
esicCode | esicCode |
ownershipType | type of ownership |
dateOfSetupOfEstablishment | dateOfSetupOfEstablishment |
address | address |
pincode | pincode |
city | city |
district | district |
state | state |
country | country |
epfoOfficeName | name of EPFO office |
epfoOfficeAddress | address of EPFO office |
zone | zone |
region | region |
splitAddress | splitAddress |
state | state |
district | district |
city | city |
pincode | pincode |
country | country |
addressLine | addressLine |
match | match |
upstreamName | upstreamName |
employeeList | list of employees |
Status Codes
CODE | MESSAGE |
|---|---|
200 | OK |
404 | Employee not found. |
400 | Employee not found. |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].